summaryrefslogtreecommitdiffstats
path: root/source/x/motif
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/motif')
-rwxr-xr-xsource/x/motif/motif.SlackBuild25
-rw-r--r--source/x/motif/slack-desc8
2 files changed, 22 insertions, 11 deletions
diff --git a/source/x/motif/motif.SlackBuild b/source/x/motif/motif.SlackBuild
index 67df95998..a714faa4f 100755
--- a/source/x/motif/motif.SlackBuild
+++ b/source/x/motif/motif.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2014, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2014, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=motif
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -f 2 -d - | cut -f 1-3 -d .)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -f 2 -d - | cut -f 1-3 -d .)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -36,6 +37,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
@@ -61,7 +70,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -70,9 +78,12 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-${VERSION}
-tar xvf $CWD/$PKGNAM-${VERSION}.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-${VERSION}.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Silly automake issue requires these files:
+touch AUTHORS NEWS
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -110,7 +121,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-shared \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
diff --git a/source/x/motif/slack-desc b/source/x/motif/slack-desc
index 406c0b3e7..9399c715a 100644
--- a/source/x/motif/slack-desc
+++ b/source/x/motif/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
motif: motif (Motif X libraries)
motif:
motif: Motif is the industry standard user interface toolkit for the X Window
-motif: System. Based on the original Motif source code, this version is
+motif: System. Based on the original Motif source code, this version is
motif: licensed under the GNU Lesser Public License v2.1.
motif:
motif: Motif homepage: http://motif.ics.com